Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSortedStat< EOT, ParamType > Class Template Reference

The actual class that will be used as base for all statistics that need to be calculated over the sorted population It's an eoSortedStatBase AND an eoValueParam so it can be used in Monitors. More...

`#include <eoStat.h>`

Inheritance diagram for eoSortedStat< EOT, ParamType >:

List of all members.

## Public Member Functions
| eoSortedStat (ParamType _value, std::string _desc)
virtual std::string | className (void) const

## Detailed Description

### template<class EOT, class ParamType>
class eoSortedStat< EOT, ParamType >

The actual class that will be used as base for all statistics that need to be calculated over the sorted population It's an eoSortedStatBase AND an eoValueParam so it can be used in Monitors.

Definition at line 89 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h